Bug 322220 - Wikipedia applet shouldn't reload content if the artist/album hasn't changed
Summary: Wikipedia applet shouldn't reload content if the artist/album hasn't changed
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Wikipedia (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 22:48 UTC by Hrvoje Senjan
Modified: 2013-08-13 07:51 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hrvoje Senjan 2013-07-10 22:48:40 UTC
Example:
Listening an album, one finds himself reading interesting/unknown facts about band/album he's now listening, but looses track ;-) that the next track is about to start and then needs to again find the place where he was reading.

Reproducible: Always

Steps to Reproduce:
1. Load wiki applet && Play album
2. Read the actual article
3. Next track starts
Actual Results:  
Artist page reloaded

Expected Results:  
Seamless continuation of reading

Using master - versioning is slightly confusing imho
Comment 1 Mark Kretschmann 2013-07-11 06:20:02 UTC
Well spotted.
Comment 2 robert marshall 2013-07-11 08:48:07 UTC
And, I think, closely related to my report here https://bugs.kde.org/show_bug.cgi?id=316020
Comment 3 Mark Kretschmann 2013-08-13 07:50:29 UTC
Git commit cee4167bf1a27da90202142ac773edb6a3ec7f40 by Mark Kretschmann, on behalf of Frank Meerkoetter.
Committed on 13/08/2013 at 07:39.
Pushed by markey into branch 'master'.

Fix 322220 - Wikipedia applet shouldn't reload content if artist/album hasn't changed

This patch (hopefully) fixes 322220.

This (cut&paste?) error undermined the function of _checkRequireUpdate()
if the artist and the composer are different for a track.
REVIEW: 112044

M  +2    -0    ChangeLog
M  +1    -1    src/context/engines/wikipedia/WikipediaEngine.cpp

http://commits.kde.org/amarok/cee4167bf1a27da90202142ac773edb6a3ec7f40